## rust-gpg-error 0.6.0

=== Makefile ===
.PHONY: gen
gen: src/consts.rs libgpg-error-sys/src/consts.rs

src/consts.rs libgpg-error-sys/src/consts.rs: vendor/err-sources.h.in vendor/err-codes.h.in vendor/errnos.in
	./tools/mkerrcodes.py

## rust-gpg-error 0.5.1

=== debian/changelog ===
rust-gpg-error (0.5.1-2) unstable; urgency=medium

  * Team upload.
  * Package gpg-error 0.5.1 from crates.io using debcargo 2.4.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Apr 2020 14:07:57 +0200

rust-gpg-error (0.5.1-1) unstable; urgency=medium

  * Package gpg-error 0.5.1 from crates.io using debcargo 2.4.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Thu, 06 Feb 2020 20:32:58 +0100

=== debian/control ===
Source: rust-gpg-error
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-libgpg-error-sys-0.5+default-dev (>= 0.5.1-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gpg-error]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gpg-error

Package: librust-gpg-error-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-libgpg-error-sys-0.5+default-dev (>= 0.5.1-~~)
Provides:
 librust-gpg-error+default-dev (= ${binary:Version}),
 librust-gpg-error-0-dev (= ${binary:Version}),
 librust-gpg-error-0+default-dev (= ${binary:Version}),
 librust-gpg-error-0.5-dev (= ${binary:Version}),
 librust-gpg-error-0.5+default-dev (= ${binary:Version}),
 librust-gpg-error-0.5.1-dev (= ${binary:Version}),
 librust-gpg-error-0.5.1+default-dev (= ${binary:Version})
Description: Libgpg-error bindings for Rust - Rust source code
 This package contains the source for the Rust gpg-error crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gpg-error 0.5.1 --all-targets --all-features
Features: test-name=@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gpg-error 0.5.1 --all-targets --no-default-features
Features: test-name=librust-gpg-error-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-gpg-error 0.5.2

=== debian/changelog ===
rust-gpg-error (0.5.2-2) unstable; urgency=medium

  * Team upload.
  * Depend on librust-libgpg-error-sys >= 0.5.2-2 to use the fixed version
    (Closes: #1022405)

 -- Blair Noctis <n@sail.ng>  Thu, 17 Nov 2022 18:52:41 +0100

rust-gpg-error (0.5.2-1) unstable; urgency=medium

  * Package gpg-error 0.5.2 from crates.io using debcargo 2.5.0

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sat, 15 Oct 2022 09:22:51 -0400

=== debian/control ===
Source: rust-gpg-error
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-libgpg-error-sys-0.5+default-dev (>= 0.5.2-~~) <!nocheck>,
 librust-libgpg-error-sys-0.5+default-dev (>= 0.5.2-2) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gpg-error]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gpg-error
Rules-Requires-Root: no

Package: librust-gpg-error-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-libgpg-error-sys-0.5+default-dev (>= 0.5.2-~~),
 librust-libgpg-error-sys-0.5+default-dev (>= 0.5.2-2)
Provides:
 librust-gpg-error+default-dev (= ${binary:Version}),
 librust-gpg-error-0-dev (= ${binary:Version}),
 librust-gpg-error-0+default-dev (= ${binary:Version}),
 librust-gpg-error-0.5-dev (= ${binary:Version}),
 librust-gpg-error-0.5+default-dev (= ${binary:Version}),
 librust-gpg-error-0.5.2-dev (= ${binary:Version}),
 librust-gpg-error-0.5.2+default-dev (= ${binary:Version})
Description: Libgpg-error bindings for Rust - Rust source code
 This package contains the source for the Rust gpg-error crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gpg-error 0.5.2 --all-targets --all-features
Features: test-name=rust-gpg-error:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gpg-error 0.5.2 --all-targets 
Features: test-name=librust-gpg-error-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gpg-error 0.5.2 --all-targets --no-default-features
Features: test-name=librust-gpg-error-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-gpg-error 0.6.0

=== debian/changelog ===
rust-gpg-error (0.6.0-1) unstable; urgency=medium

  * Package gpg-error 0.6.0 from crates.io using debcargo 2.6.0

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Thu, 21 Dec 2023 08:41:08 -0500

=== debian/control ===
Source: rust-gpg-error
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.64) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-libgpg-error-sys-0.6+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gpg-error]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gpg-error
X-Cargo-Crate: gpg-error
Rules-Requires-Root: no

Package: librust-gpg-error-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-libgpg-error-sys-0.6+default-dev
Provides:
 librust-gpg-error+default-dev (= ${binary:Version}),
 librust-gpg-error-0-dev (= ${binary:Version}),
 librust-gpg-error-0+default-dev (= ${binary:Version}),
 librust-gpg-error-0.6-dev (= ${binary:Version}),
 librust-gpg-error-0.6+default-dev (= ${binary:Version}),
 librust-gpg-error-0.6.0-dev (= ${binary:Version}),
 librust-gpg-error-0.6.0+default-dev (= ${binary:Version})
Description: Libgpg-error bindings for Rust - Rust source code
 Source code for Debianized Rust crate "gpg-error"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gpg-error 0.6.0 --all-targets --all-features
Features: test-name=rust-gpg-error:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gpg-error 0.6.0 --all-targets
Features: test-name=librust-gpg-error-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gpg-error 0.6.0 --all-targets --no-default-features
Features: test-name=librust-gpg-error-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/gpg-error-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/gpg-error .*/crates/gpg-error/@ANY_VERSION@/download
